Bug 838606 - enable PIE and RELRO in cifs-utils binaries
Summary: enable PIE and RELRO in cifs-utils binaries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cifs-utils
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jeff Layton
QA Contact: Petr Beňas
URL:
Whiteboard:
Depends On:
Blocks: 846704
TreeView+ depends on / blocked
 
Reported: 2012-07-09 14:54 UTC by Jeff Layton
Modified: 2015-01-04 23:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:14:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0408 normal SHIPPED_LIVE cifs-utils bug fix and enhancement update 2013-02-20 20:50:36 UTC

Description Jeff Layton 2012-07-09 14:54:13 UTC
Andreas got some errata tool package check warnings today when he was updating cifs-utils in the RHEL5 samba3x package:

07:14 <@asn> BAD         samba3x-client         File /sbin/mount.cifs lost GNU_RELRO security protection on i386 x86_64 ppc ppc64 s390 s390x
07:14 <@asn> BAD         samba3x-client         PIE regression for file sbin/mount.cifs on all architectures
07:14 <@asn> BAD         samba3x-client         File /usr/sbin/cifs.upcall lost GNU_RELRO security protection on i386 x86_64 ppc ppc64 s390 s390x
07:14 <@asn> BAD         samba3x-client         PIE regression for file usr/sbin/cifs.upcall on all architectures

It looks like we're not taking advantage of all of the handy compiler/linker features to make these binaries as safe as possible. In particular, we ought to enable PIE and RELRO support in them.

I've sent a patch upstream to add support for this there and we ought to pull this into RHEL6 as well. Note that we don't have any reason to believe that there is any specific vulnerability here, but it's sensible to enable these proactively.

Comment 1 Jeff Layton 2012-08-23 10:46:10 UTC
Fixed in cifs-utils-4.8.1-11.el6.

Comment 4 Petr Beňas 2012-10-08 11:13:05 UTC
Reproduced in cifs-utils-4.8.1-10.el6.x86_64 and verified in cifs-utils-4.8.1-11.el6.x86_64.

Comment 6 errata-xmlrpc 2013-02-21 10:14:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0408.html


Note You need to log in before you can comment on or make changes to this bug.